Google Chrome gets updated system requirements on Linux

Google has released a new build of Chrome for Linux. This update also brings in new minimum OS requirement for Linux machines. Here is what it needs:

Ubuntu 12.04+
Debian 7+
OpenSuSE 12.2+
Fedora Linux 17+

Users on older builds of these Linux distros would have to rely on older builds of Chrome or other browsers like Firefox.




Category

News

Tags

, , , , , , ,